View Issue Details

IDProjectCategoryView StatusLast Update
0006438Talermechant backendpublic2020-10-03 14:09
ReporterMS Assigned Tojonathanbuchanan  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006438: assert+abort instead of reporting error
DescriptionThe merchant backend ends with assert+abort instead of returning a descriptive
error response to the client.

This behavior has been observed while trying to PATCH a merchant instance using
a wrong currency.

Jul 24 11:15:12-294318 taler-merchant-httpd-32299(MP57Q1VREBRAVWJHTTTZNEXY5R) ERROR Assertion failed at amount.c:370. Aborting.
Jul 24 11:15:13-353462 taler-merchant-httpd-13047 INFO Starting taler-merchant-httpd
TagsNo tags attached.

Activities

MS

2020-07-24 11:42

manager   ~0016512

This issue also suggests that upon instance *creation* there is no check on the currency.

Christian Grothoff

2020-07-24 11:55

manager   ~0016514

Right, we should add such a check and 400 if the currency is 'bad'.

jonathanbuchanan

2020-08-14 08:45

developer   ~0016599

Check added in 968b356..5e9a041.

Issue History

Date Modified Username Field Change
2020-07-24 11:37 MS New Issue
2020-07-24 11:37 MS Status new => assigned
2020-07-24 11:37 MS Assigned To => Marcello Stanisci
2020-07-24 11:42 MS Note Added: 0016512
2020-07-24 11:54 Christian Grothoff Assigned To Marcello Stanisci => jonathanbuchanan
2020-07-24 11:55 Christian Grothoff Note Added: 0016514
2020-07-24 11:55 Christian Grothoff Product Version => git (master)
2020-07-24 11:55 Christian Grothoff Target Version => 0.8
2020-08-14 08:45 jonathanbuchanan Note Added: 0016599
2020-08-15 02:12 jonathanbuchanan Status assigned => resolved
2020-08-15 02:12 jonathanbuchanan Resolution open => fixed
2020-10-03 14:09 Christian Grothoff Fixed in Version => 0.8